import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { NpiProviderSelectObjectSchema as NpiProviderSelectObjectSchema } from './NpiProviderSelect.schema';
import { NpiProviderIncludeObjectSchema as NpiProviderIncludeObjectSchema } from './NpiProviderInclude.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => NpiProviderSelectObjectSchema).optional(),
  include: z.lazy(() => NpiProviderIncludeObjectSchema).optional()
}).strict();
export const NpiProviderArgsObjectSchema = makeSchema();
export const NpiProviderArgsObjectZodSchema = makeSchema();
